Bug 1029510 - [RFE] Ship Broker and Node as Virtual Appliances
[RFE] Ship Broker and Node as Virtual Appliances
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: jofernan
Depends On:
  Show dependency treegraph
Reported: 2013-11-12 09:05 EST by james labocki
Modified: 2016-01-27 13:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-27 13:49:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description james labocki 2013-11-12 09:05:27 EST
This is a RFE to ship the broker and node as virtual appliances. This will help users who are not familiar with RHEL, RHN, or channels to more easily deploy OpenShift.
Comment 2 Luke Meyer 2014-05-13 13:34:18 EDT
Given OSE 2.1 and oo-install, the implementation here could be a lot more straightforward than before.

Basically, ship two VM appliances which include:
1. Installed RPMs for OpenShift broker or node
2. "installer" user with known set of keys
3. oo-install running at firstboot to wire together as many VMs as are deployed.

oo-install would need a few new special features to run in this mode.
a. Automatically start with hosts in "installed" state
b. Assume the "installer" user
c. Deploy a new user for access post-install and nuke the "installer" user

There may well be infrastructure-specific features (e.g. HEAT templates) that could construct the oo-install config file based on the deployment and just automate everything.

We need to think seriously about how to enable subscriptions as part of this process, though.

Note You need to log in before you can comment on or make changes to this bug.